Skip to content

List



GET /api/v1/service_manage/list

Overview

List the Service List information.

Query Request Parameters

Parameter Type Required Description
search string Search by service name
Example: mysql
Allow empty: False
originStr string Pass 1 for raw string, 0 for structured data. Defaults to 1.
Allow empty: False
filter string Filter conditions
Example: total
Allow empty: False
Available values: ['total', 'favorite', 'myCreate', 'oftenBrowse']
createType commaArray Creation type
Example: openapi,manual,automatic
Allow empty: False
serviceType commaArray Service type
Example: web,custom
Allow empty: False
teamUUID commaArray Team UUID
Example: group_x,group_y
Allow empty: False
pageIndex integer Page number
Allow empty: False
Example: 1
$minValue: 1
pageSize integer Number of items returned per page
Allow empty: False
Example: 10
$minValue: 1
$maxValue: 100

Additional Parameter Notes

Request Body Structure

Parameter Type Required Description
search string N Search by service name
originStr string N Whether the returned serviceCatelog should be a raw string: 1 for yes, 0 for no. Defaults to 1.
filter string N Filter conditions
createType string N Filter services by creation type, separated by commas: manual, openapi, automatic
serviceType string N Filter services by type, separated by commas: app, framework, cache, message_queue, custom, db, web
teamUUID string N Filter by team, separated by commas
pageIndex string N Pagination page number
pageSize string N Number of items returned per page

Response Body Structure

Parameter Type Description
serviceCatelog string,dict Raw string or structured data of the Service List
service string Service name
type string Service type
dfStatus string Service status
creatorInfo dict Creator information of the Service List
updatorInfo dict Updater information of the Service List

Request Example

curl 'https://openapi.guance.com/api/v1/service_manage/list?originStr=0' \
  -H 'Content-Type: application/json' \
  -H 'DF-API-KEY: <DF-API-KEY>' \
  --compressed

Response

{
    "automaticFoundTime": "1693807201",
    "data": [
        {
            "uuid": "sman_xxxx32",
            "createAt": 1693798688,
            "updateAt": 1693805504,
            "creatorInfo": {
                "username": "xxx",
                "name": "Alibaba Cloud Monitoring Data Source",
                "iconUrl": "",
                "email": "wsak_xxxxx",
                "acntWsNickname": ""
            },
            "colour": "#40C922",
            "updatorInfo": {
                "username": "xxx",
                "name": "Alibaba Cloud Monitoring Data Source",
                "iconUrl": "",
                "email": "wsak_xxxxx",
                "acntWsNickname": ""
            },
            "dfStatus": "ok",
            "isFavorite": false,
            "createType": "openapi",
            "service": "test_02",
            "type": "db",
            "serviceCatelog": {
                "Team": {
                    "service": "test_02",
                    "type": "db",
                    "team": "group_xxxx32",
                    "colour": "#40C922",
                    "oncall": [
                        {
                            "name": "example_yun",
                            "type": "email",
                            "emails": [
                                "xxx@guance.com",
                                "xxx@guance.com"
                            ]
                        },
                        {
                            "name": "zhuyun",
                            "type": "mobile",
                            "mobiles": [
                                "xxxxxxx5786",
                                "xxxxxxx4231"
                            ]
                        },
                        {
                            "name": "test",
                            "type": "slack",
                            "slack": "#test"
                        }
                    ]
                },
                "Repos": [
                    {
                        "link": "https://www.guance.com",
                        "name": "guance",
                        "provider": "example_yun"
                    },
                    {
                        "link": "https://func.guance.com",
                        "name": "func",
                        "provider": "example_yun"
                    }
                ],
                "Docs": [
                    {
                        "link": "https://docs.guance.com/en",
                        "name": "guance",
                        "provider": "example_yun"
                    },
                    {
                        "link": "https://docs.dataflux-func.com/doc.en",
                        "name": "func",
                        "provider": "example_yun"
                    }
                ],
                "Related": {
                    "AppId": "a138bcb0_47ef_11ee_9d75_31ea50b9d85a",
                    "Tags": [
                        "test"
                    ],
                    "DashboardUUIDs": [
                        "dsbd_xxxx32"
                    ]
                }
            }
        },
        {
            "uuid": "sman_xxxx32",
            "createAt": 1693728357,
            "updateAt": 1693728357,
            "creatorInfo": {
                "username": "xxx@guance.com",
                "name": "test",
                "iconUrl": "",
                "email": "xxx@guance.com",
                "acntWsNickname": ""
            },
            "colour": "",
            "updatorInfo": {
                "username": "xxx@guance.com",
                "name": "test",
                "iconUrl": "",
                "email": "xxx@guance.com",
                "acntWsNickname": ""
            },
            "dfStatus": "ok",
            "isFavorite": false,
            "createType": "manual",
            "service": "test-lml3",
            "type": "custom",
            "serviceCatelog": {
                "Team": {
                    "service": "test-lml3",
                    "type": "custom",
                    "colour": "",
                    "team": "",
                    "oncall": []
                },
                "Related": {
                    "Tags": []
                }
            }
        }
    ],
    "pageInfo": {
        "pageIndex": 1,
        "pageSize": 50,
        "count": 2,
        "totalCount": 2
    }
}

Feedback

Is this page helpful?